!function($)
{
    Header = {
        init: function () {
            Header.SearchBar();
            Header.ControlBlockHeader();
            Header.Notification();
            Header.ParallaxBackground();
            Header.BrvMobileData();
        },

        SearchBar: function () {
            $('.control-search').click(function (e) {
                if ($(this).parents('body').find('.search-area').hasClass('show')){
                    $(this).parents('body').find('.search-area').removeClass('show');
                }else {
                    $(this).parents('body').find('.search-area').addClass('show');
                }
                e.stopPropagation();
            });

            $('.search-area').click(function (e) {
                e.stopPropagation();
            });

            $('html,body').click(function () {
                $('.search-area').removeClass('show');
            });
        },

        ControlBlockHeader: function () {
            var $datamino = $('.block-minorHeader'),
                $dataheader = $('.p-body-sideNav .block-header,.p-body-sidebar .block-header');

            $datamino.each(function () {
                $(this).wrapInner('<span class="brv-line-block"></span>');
            });
            $dataheader.each(function () {
                $(this).wrapInner('<span class="brv-line-block"></span>');
            });

            var html = '<span class="block-control fa fa-angle-up"></span>';
            var html1 = '<span class="block-control fa fa-angle-up"></span>';

            $('.block--category .block-header').append(html);
            $(html1).insertAfter('.brv-line-block');


            $('.block-control').click(function () {
                if ($(this).parents('.block-container').children('.block-body').hasClass('active')){
                    $(this).parents('.block-container').children('.block-body').removeClass('active').slideDown('400');
                    $(this).removeClass('fa-angle-down').addClass('fa-angle-up');
                }else {
                    $(this).parents('.block-container').children('.block-body').addClass('active').slideUp('400');
                    $(this).addClass('fa-angle-down').removeClass('fa-angle-up');
                }
            });
        },

        Notification: function () {
            var html = '<span class="control_notice fa fa-angle-down"></span>';
            $('.notices').parents('.brv-custom-notices').append(html);
            $('body .noticeScrollContainer').addClass('substr_text');
            $('body[data-template="forum_list"] .noticeScrollContainer, body[data-template="search_form"] .noticeScrollContainer').removeClass('substr_text');
            $('body[data-template="forum_list"] .noticeScrollContainer .control_notice, body[data-template="search_form"] .noticeScrollContainer .control_notice').addClass('fa-angle-up').removeClass('fa-angle-down');
            $('body .brv-custom-notices--inner').addClass('short-notice');
            $('body[data-template="forum_list"] .brv-custom-notices--inner, body[data-template="search_form"] .brv-custom-notices--inner').removeClass('short-notice');

            $('.control_notice').click(function () {
                if ($(this).parents('.brv-custom-notices').find('.noticeScrollContainer').hasClass('substr_text')){
                    $(this).parents('.brv-custom-notices').find('.noticeScrollContainer').removeClass('substr_text');
                    $(this).addClass('fa-angle-up').removeClass('fa-angle-down');
                    $(this).parents('.brv-custom-notices').find('.brv-custom-notices--inner').removeClass('short-notice');
                }else {
                    $(this).parents('.brv-custom-notices').find('.noticeScrollContainer').addClass('substr_text');
                    $(this).removeClass('fa-angle-up').addClass('fa-angle-down');
                    $(this).parents('.brv-custom-notices').find('.brv-custom-notices--inner').addClass('short-notice');
                }
            });

            var $check = $('.brv-custom-notices--inner').children();

            if ($check.length <= 0){
                $('.brv-custom-notices--inner').addClass('hidden');
            }
        },

        ParallaxBackground: function () {
            $(window).scroll(function() {
                var x = $(this).scrollTop();
                $('.parallax-box').each(function(){
                    var top = $(this).offset().top;
                    $(this).css('background-position', '50%' + parseInt(-(x-top) / 5) + 'px');

                });
            });
        },

        BrvMobileData: function () {
            var DataBadgeUser = function () {
                var $data = $('.p-navgroup-link--user'),
                    $numc = parseInt($data.attr('data-conversation')),
                    $numa = parseInt($data.attr('data-alerts')),
                    $databadge = ($numc + $numa);
                if ($databadge > 0){
                    $data.attr('data-badge', $databadge);
                }else {
                    $data.addClass('badge-noncontent');
                }
            };

            var DataBadgeItem = function () {
                var $data = $('.mobile--link__item');

                $data.each(function () {
                    var $databadge = parseInt($(this).attr('data-badge'));

                    if ($databadge == 0){
                        $(this).addClass('non--databadge');
                    }
                });
            };

            DataBadgeUser();
            DataBadgeItem();
        }
    };

    Mainbody = {
        init: function () {
            Mainbody.SubnodeControl();
            Mainbody.BrvTooltip();
            Mainbody.CountSubnode();
            Mainbody.BtnAddNew();
            Mainbody.EditBoxAction();
            Mainbody.PostMessage();
            Mainbody.BlockOuter();
            Mainbody.MemberTabs();
            Mainbody.ResourceView();
            Mainbody.ResourceHistory();
            Mainbody.ResourceReviews();
        },

        SubnodeControl: function () {
            $('.control-subnode').click(function (e) {
                $('.node-subNodeFlatList').removeClass('active');
                $(this).parent('.subnode-custom').find('.node-subNodeFlatList').addClass('active');
                $(this).addClass('active');
                e.stopPropagation();
            });

            $('body, html').click(function () {
                $('.node-subNodeFlatList').removeClass('active');
                $('.control-subnode').removeClass('active');
            });
        },

        BrvTooltip: function () {
            //for categories tooltip
            $('.block--category').ready(function () {
                var w1 = $('.block-header >a').width() + 40,
                    dir = $('html').attr('dir');
                if ( dir == 'RTL'){
                    $('.show-tooltip').css('right', w1);
                } else {
                    $('.show-tooltip').css('left', w1);
                }
            });

            // For node tooltip
            var $brvt = $('.js-brvtoolstip');

            $brvt.each(function () {
                var $data = $(this).parents('.node-picture').find('.node-description').text(),
                    $spaceleft = $(this).width();

                if ($data){
                    var html = '<span class="brv--toolstip">' + $data + '</span>';
                    $(this).append(html);
                    var dir = $('html').attr('dir');
                    if ( dir == 'RTL'){
                        $(this).children('.brv--toolstip').css('right', $spaceleft);
                    } else {
                        $(this).children('.brv--toolstip').css('left', $spaceleft);
                    }
                }
            })
        },

        CountSubnode: function () {
            $('.node').each(function () {
                var num = $(this).find('.node-subNodeFlatList').children(),
                    x = num.length,
                    html = '<span class="num-sub-node">' + x + '</span>';
                $(this).find('.subnode-custom .control-subnode').append(html);
            });
        },

        BtnAddNew: function () {
            var CheckLogin = function () {
                var $visiter = $('html').attr('data-logged-in');

                if ($visiter == 'true'){
                    var $data = $('.p-title-pageAction >.button--cta'),
                        $target = $('.block-outer'),
                        $link = $data.attr('href'),
                        $text = $data.text(),
                        $size = ($data.outerWidth() + 20),
                        $hei = $target.height(),
                        $template = $('body').attr('data-template'),
                        $html = '<div class="btn-addnew"><a href="'+ $link +'" class="action-add-new" style="height: '+ $hei +'px; line-height: '+ ($hei - 10) +'px;" data-xf-click="overlay"><span class="text-btn">'+ $text +'</span></a></div>';

                    if ( $(window).width() > 768 ){
                        if ( $template == 'forum_view' || $template == 'xfmg_media_index' || $template == 'xfrm_overview' || $template == 'conversation_list' ){
                            CheckRTL($target, $data, $size, $html);
                        }
                    }
                }
            };

            var CheckRTL = function (block, button, size, html) {
                var $RTL = $('html').attr('dir');

                if ($RTL == 'LTR'){
                    block.css({'margin-right': size}).append(html);
                    button.css({'opacity':'0','visibility':'hidden'});
                    $('.btn-addnew').css({'right': -size});
                }else {
                    block.css({'margin-left': size}).append(html);
                    button.css({'opacity':'0','visibility':'hidden'});
                    $('.btn-addnew').css({'left': -size});
                }
            };

            CheckLogin();
        },

        EditBoxAction: function () {
            var more = '<div class="quick-action-mobile"><span class="control-more-action fa fa-ellipsis-h"></span></div>';
            if($(window).width() < 650){
                $('.fr-toolbar').each(function () {
                    $(this).addClass('add-more-mobile');
                    $(this).after(more);
                });
                $('.quick-action-mobile').click(function () {
                    if($(this).parents('.bbWrapper').find('.fr-command').hasClass('show-mobile')){
                        $(this).parents('.bbWrapper').find('.fr-command').removeClass('show-mobile');
                    } else {
                        $(this).parents('.bbWrapper').find('.fr-command').addClass('show-mobile');
                    }
                });
            }
        },

        PostMessage: function () {
            var $template = $('body').attr('data-template');

            if ( $template == 'thread_view' ){

                var Title = $('.p-title-value').html();

                if (Title){
                    var title = '<h1 class="mess-title-header">'+ Title + '</h1>',
                        $target = $('.js-BrvLoadTitlepost');

                    $target.append(title);

                }

                var $CurrentPageNav = $('.pageNav-main').attr('data-current-page'),
                    $CurrentPageSimple = $('.pageNavSimple').attr('data-current-page');

                if ( !($CurrentPageNav == '1') || !($CurrentPageSimple == '1')){
                    $('html').addClass('js-page-message_post');
                }
            }
        },

        BlockOuter: function () {
            var $data = $('.block-outer');

            $data.each(function () {
                var $hei = $(this).height();

                if ($hei == 0){
                    $(this).addClass('none-border');
                }
            });
        },

        MemberTabs: function () {
            var $data = $('.block-tabHeader--memberTabs'),
                $active = $('.block-tabHeader--memberTabs .is-active').text();
            $('.js-TextTabs').html($active);
            $data.click(function () {
                var $target = $(this).find('.is-active'),
                    text = '';
                $target.each(function () {
                    text += $(this).text();
                });
                $('.js-TextTabs').html(text);
            });

            $('.js-tabMemberSelect').click(function (e) {
                var $target = $(this).parents('.TabsMemberSelect').children('.block-tabHeader--memberTabs');

                if ($target.hasClass('show')){
                    $target.removeClass('show');
                }else {
                    $target.addClass('show');
                }
                e.stopPropagation();
            });

            $('html, body').click(function () {
                $('.block-tabHeader--memberTabs').removeClass('show');
            })
        },

        ResourceView: function () {
            var title = $('body[data-template="xfrm_resource_view"] .p-body .p-body-inner .p-body-header').html(),
                html = '<div class="resource_view_title">' + title + '</div>';
            $(html).insertAfter('body[data-template="xfrm_resource_view"] .p-body .p-body-inner .p-body-main .p-body-content .bread-action--top');

            var money = $('body[data-template="xfrm_resource_view"] .p-body .p-body-inner .p-body-header .p-title-pageAction .button--icon--purchase .button-text').text(),
                newtext = '<span class="money-after">' + money.substr(8,15)  + '</span>';
            $('body[data-template="xfrm_resource_view"] .p-body .p-body-inner .p-title-pageAction .button--icon--purchase').parents('.p-title').find('.p-title-value').append(newtext);

            var contenttag = $('body[data-template="xfrm_resource_view"] .p-body .p-body-inner .p-body-header .p-description ul li+li+li').html(),
                newtag = '<div class="new_tags_resource">' + contenttag + '</div>';
            $('body[data-template="xfrm_resource_view"] .resource_view_title').append(newtag);
        },

        ResourceHistory: function () {
            var title = $('body[data-template="xfrm_resource_history"] .p-body .p-body-inner .p-body-header').html(),
                html = '<div class="resource_view_title">' + title + '</div>';
            $(html).insertAfter('body[data-template="xfrm_resource_history"] .p-body .p-body-inner .p-body-main .p-body-content .bread-action--top');

            var money = $('body[data-template="xfrm_resource_history"] .p-body .p-body-inner .p-body-header .p-title-pageAction .button--icon--purchase .button-text').text(),
                newtext = '<span class="money-after">' + money.substr(8,15)  + '</span>';
            $('body[data-template="xfrm_resource_history"] .p-body .p-body-inner .p-title-pageAction .button--icon--purchase').parents('.p-title').find('.p-title-value').append(newtext);

            var contenttag = $('body[data-template="xfrm_resource_history"] .p-body .p-body-inner .p-body-header .p-description ul li+li+li').html(),
                newtag = '<div class="new_tags_resource">' + contenttag + '</div>';
            $('body[data-template="xfrm_resource_history"] .resource_view_title').append(newtag);
        },

        ResourceReviews: function () {
            var title = $('body[data-template="xfrm_resource_reviews"] .p-body .p-body-inner .p-body-header').html(),
                html = '<div class="resource_view_title">' + title + '</div>';
            $(html).insertAfter('body[data-template="xfrm_resource_reviews"] .p-body .p-body-inner .p-body-main .p-body-content .bread-action--top');

            var money = $('body[data-template="xfrm_resource_reviews"] .p-body .p-body-inner .p-body-header .p-title-pageAction .button--icon--purchase .button-text').text(),
                newtext = '<span class="money-after">' + money.substr(8,15)  + '</span>';
            $('body[data-template="xfrm_resource_reviews"] .p-body .p-body-inner .p-title-pageAction .button--icon--purchase').parents('.p-title').find('.p-title-value').append(newtext);

            var contenttag = $('body[data-template="xfrm_resource_reviews"] .p-body .p-body-inner .p-body-header .p-description ul li+li+li').html(),
                newtag = '<div class="new_tags_resource">' + contenttag + '</div>';
            $('body[data-template="xfrm_resource_reviews"] .resource_view_title').append(newtag);
        }

    };

    Footer = {
        init: function () {

        }
    };

    Sidebar = {
        init: function () {
            Sidebar.ControlSidebar();
        },

        ControlSidebar: function () {
            var sidebar = '<span class="control-sidebar fa fa-align-center"></span>',
                w_content =  $('.p-body-inner .p-body-content').width(),
                w_sidebar =  $('.p-body-inner .p-body-sidebar').innerWidth();


            var ctrsidebar = function () {
                if ($(window).width() > 768){
                    $('.p-body-main--withSidebar').parents('.p-body-inner').find('.bread-action').append(sidebar);
                }
            };

            ctrsidebar();

            var $control = $('.control-sidebar'),
                $checkcustom = $('html').attr('data-brv-custom');

            if ($checkcustom == 0){
                $control.parents('.p-body-inner').find('.p-body-sidebar').addClass('hide').css('opacity','0');
                $control.parents('.p-body-inner').find('.p-body-content').addClass('edit-padd');
                $control.addClass('active');
            }

            $control.click(function () {
                if ($control.parents('.p-body-inner').find('.p-body-sidebar').hasClass('hide')){
                    $control.parents('.p-body-inner').find('.p-body-sidebar').removeClass('hide').css('opacity','1');
                    $control.parents('.p-body-inner').find('.p-body-content').removeClass('edit-padd').width(w_content);
                    $control.removeClass('active');
                }else {
                    $control.parents('.p-body-inner').find('.p-body-sidebar').addClass('hide').css('opacity','0');
                    $control.parents('.p-body-inner').find('.p-body-content').addClass('edit-padd').width(w_content + w_sidebar);
                    $control.addClass('active');
                }
            });
        }
    };

    OnReady = {
        init: function () {
            Header.init();
            Mainbody.init();
            Footer.init();
            Sidebar.init();
        }
    };

    $(document).ready(function () {
        OnReady.init();
    });


}(jQuery);
