<?php
namespace Brivium\CustomNodeIcon;

use Brivium\Library\AbstractSetup;
use XF\Db\Schema\Alter;

class Setup extends AbstractSetup
{

	protected function getAlters()
	{
		$alters = [];

		$alters['xf_node'] = function(Alter $table) {
			$table->addColumn('brcni_icon_type', 'enum')->values(['', 'image'])->setDefault('');
			$table->addColumn('brcni_icon_data', 'text')->nullable();
		};

		return $alters;
	}

	protected function getDropAlters()
	{
		$alters = [];

		$alters['xf_node'] = function(Alter $table) {
			$table->dropColumns(['brcni_icon_type', 'brcni_icon_data']);
		};

		return $alters;
	}
}